TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

ExtendField ( mdl M, fld^fin L ) -> mdl, map()

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> Given an RModule M with base ring K, a finite field, and L an extension of K, construct the RModule N with base ring L obtained by lifting the components of elements of M into L, together with the inclusion homomorphism from M into N. </shortdoc>

### Examples

x_F17:=FiniteField(17);x_M:=KModule(x_F17,2); x_2F17:=FiniteField(17,2);ExtendField(x_M,x_2F17);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack